# Node Class Reference

Inheritance diagram for Node:

[legend]

## Public Member Functions

| Node (const TheKey &K, const Standard_Integer ahascode, const TheItem &I, Node *n)
void * | operator new (size_t aSize)
void | operator delete (void *aNode)
| Node (const TheKey1 &K1, const Standard_Integer acode1, const TheKey2 &K2, const Standard_Integer acode2, Node *n1, Node *n2)
void * | operator new (size_t aSize)
void | operator delete (void *aNode, size_t aSize)
| Node (const TheKey &K1, const Standard_Integer K2, const TheItem &I, const Standard_Integer ahashcode, Node *n1, Node *n2)
void * | operator new (size_t aSize)
void | operator delete (void *aNode)
| Node (const TheKey &K, const Standard_Integer theIndex, const Standard_Integer ahashcode, Node *n1, Node *n2)
void * | operator new (size_t aSize)
void | operator delete (void *aNode)
| Node (const TheKey &K, const Standard_Integer ahascode, Node *n)
void * | operator new (size_t aSize)
void | operator delete (void *aNode)

## Data Fields

TheKey | key
Standard_Integer | hashcode
TheItem | value
TheKey1 | key1
Standard_Integer | hashcode1
TheKey2 | key2
Standard_Integer | hashcode2
Node * | next2
Standard_Integer | index
Node * | next2
Node * | next2

## Constructor & Destructor Documentation

Node::Node | ( | const TheKey & | K,
|  | const Standard_Integer | ahascode,
|  | const TheItem & | I,
|  | Node * | n
| ) | `[inline]`

Node::Node | ( | const TheKey1 & | K1,
|  | const Standard_Integer | acode1,
|  | const TheKey2 & | K2,
|  | const Standard_Integer | acode2,
|  | Node * | n1,
|  | Node * | n2
| ) | `[inline]`

Node::Node | ( | const TheKey & | K1,
|  | const Standard_Integer | K2,
|  | const TheItem & | I,
|  | const Standard_Integer | ahashcode,
|  | Node * | n1,
|  | Node * | n2
| ) | `[inline]`

Node::Node | ( | const TheKey & | K,
|  | const Standard_Integer | theIndex,
|  | const Standard_Integer | ahashcode,
|  | Node * | n1,
|  | Node * | n2
| ) | `[inline]`

Node::Node | ( | const TheKey & | K,
|  | const Standard_Integer | ahascode,
|  | Node * | n
| ) | `[inline]`

## Member Function Documentation

void Node::operator delete | ( | void * | aNode | ) | `[inline]`

void Node::operator delete | ( | void * | aNode | ) | `[inline]`

void Node::operator delete | ( | void * | aNode | ) | `[inline]`

void Node::operator delete | ( | void * | aNode,
|  | size_t | aSize
| ) | `[inline]`

void Node::operator delete | ( | void * | aNode | ) | `[inline]`

void* Node::operator new | ( | size_t | aSize | ) | `[inline]`

void* Node::operator new | ( | size_t | aSize | ) | `[inline]`

void* Node::operator new | ( | size_t | aSize | ) | `[inline]`

void* Node::operator new | ( | size_t | aSize | ) | `[inline]`

void* Node::operator new | ( | size_t | aSize | ) | `[inline]`

## Field Documentation

Standard_Integer Node::hashcode

Standard_Integer Node::hashcode1

Standard_Integer Node::hashcode2

Standard_Integer Node::index

TheKey Node::key

TheKey1 Node::key1

TheKey2 Node::key2

Node* Node::next2

Node* Node::next2

Node* Node::next2

TheItem Node::value

The documentation for this class was generated from the following files:

- WOKTools_DataMap.gxx
- WOKTools_DoubleMap.gxx
- WOKTools_IndexedDataMap.gxx
- WOKTools_IndexedMap.gxx
- WOKTools_Map.gxx